mondorestore(8)

NAME
mondorestore - a restore / disaster-recovery tool.

SYNOPSIS
mondorestore [-p prefix][-K loglevel][-i][-U]... : restore your PC

DESCRIPTION

mondorestore restores data previously backed up with mondoarchive. Note that mondorestore will usually automatically be called when booting a MondoRescue medium. The only exception is booting a MondoRescue medium in Expert mode in which case mondorestore can be evoked from the command line.

-p prefix
    Use prefix to specify the name of your ISO images. By default, mondorestore names images mondorescue-1.iso, mondorescue-2.iso, ... Using -p machine mondorestore will use images named machine-1.iso, machine-2.iso, ...

-i  Use ISO files (CD images) as restore media. This is good when having backed up your system to a spare hard drive. The -n switch is a wiser choice if you plan to restore from a remote filesystem.

-n mount
    Use files residing on NFS partition as restore media. mount is the remote mount-point, e.g. nfs://192.168.1.3:/home/nfs' for my file server. Please mount it before restoring/verifying.

-t  Use tape streamer as restore device and its tapes as restore media.

-U  Use a generic USB device as restore device. Use this if you want to read your backup from a USB key or USB disk. The USB device should be attached to the system in order for this to work and its device name passed to the -d option.

-u  Use a generic streaming device as restore device. Use this if you want to read your backup from a device that is not directly support by mondoarchive. This will get the data directly from a raw device. For experienced users only.

-E “path ...”
    Exclude path(s) from restore (future dev). The paths should be separated with a pipe. For example, if you are restoring up from an NFS mount but you do not want to restore some content, exclude it with that switch.

-I “path ...”
    Include paths(s) to restore (future dev).

-J file
    Specify an explicit list of files and directories to restore in a plain text file, one item (file or directory) per line. Beware that directories placed in that file are not managed recursively contrary to what is done with the -I option (future dev).

-d dev|dir
    Specify the restore device (CD/tape/USB) or directory (NFS/ISO). For CD-R[W] drives, this is the SCSI node where the drive may be found, e.g. '0,1,0'. For tape users, this is the tape streamers /dev entry, e.g. '/dev/st0'. For USB users, this is the device name of your key or external disk. For ISO users, this is the directory where the ISO images are stored. For NFS users, this is the directory within the NFS mount where the backups are stored. The default for ISO and NFS is '/var/cache/mondo'.

-g  GUI mode. Without this switch, the screen output of mondorestore is text based.

-m  Manual (not self-retracting) CD trays are often found on laptops. If you are a laptop user, your CD burner has BurnProof technology or you experience problems with mondo then please call mondorestore with this switch.

-o  Use OBDR (One Button Disaster Recovery) type of tapes. By default, tapes are not bootable. With this flag, tape will be read as bootable tapes following the OBDR format.

-x 'dev ...'
    Specify non-Linux partitions which you want to restore (future dev).

-T path
    Specify the full pathname of the tempdir, the directory where temporary files are stored.

-b  Specify the internal block size used by the tape drive. This is usually 32K but some drives just don't like that. They should but they don't. That's what happens when tape drive vendors don't talk to kernel driver writers. Try 512 or 16384.

-e  Don't eject the CD or tape when restoring...

-f device
    Specify the drive on which your Master Boot Record lives. Usually, this is discovered automatically. (future dev)

-Q  Give more detailed information about the boot loader.

-K loglevel
    Specify the loglevel. Use 99 for full debug. Standard debug level is 4.

-z  Use extended attributes and acl for each file and store them in the backup media. Use this option if you use SElinux e.g. but it will slow down backup and restore time of course.

-Z  Specify mondorestore mode. Mode could be one of nuke: This mode restore everything like on the original system with no/minimal questions interactive: This mode asks all the questions to the user compare: This mode just compares the system with the backup iso: This mode restores from iso images, instead of real media isonuke: This mode restores from iso images, instead of real media, with no/minimal questions mbr: This mode just restores the MBR (Master Boot Record)

DIAGNOSTICS
mondorestore generates an Extremely important file: /var/log/mondorestore.log. When seeking technical support, attach this file to your email.

FILES
/var/log/mondorestore.log This log contains important information required to analyse mondorestore problem reports. Mondo support highly recommends sending this file with support questions. It's located under /tmp during the restore process and moved under /var/log at the end.

ENVIRONMENT VARIABLES
TMPDIR This variable is used, if defined, as the target directory to create all the temporary files needed during the operation (not the scratch files) TMP This variable is used, if defined and if TMPDIR is not defined, as the target directory to create all the temporary files needed during the operation (not the scratch files) dirimg This variable is setup by the rcS script to store the network remote directory in PXE mode. (managed internally) imgname This variable is setup by the rcS script to overwrite the prefix name in PXE mode. (managed internally) netfsmount This variable is setup by the rcS script to store the network file system mount point in PXE mode. (managed internally) MRUSBDEV This variable contains the device file of the USB device to restore from. (equivalent if the usb-dev parameter of the mondorescue config file)

NOTES
A link to Mondo's HTML-based manual (by Bruno Cornec, Mikael Hultgren, Cafeole, Randy Delphs, Stan Benoit, and Hugo Rabson) may be found at http://www.mondorescue.org/docs.shtml - or in /usr/share/doc/mondo-x.xx on your hard drive.

BUGS
It is recommend that your system has more than 64 MB ram. SCSI device order change with nuke can have unexpected results. It is recommended you use expert mode with drastic hardware reconfigurations.

SEE ALSO
afio(1), bzip2(1), find(1), mindi(8), mondoarchive(8).

AUTHORS
Bruno Cornec (lead-development) bruno_at_mondorescue.org
Andree Leidenfrost (co-developer) aleidenf_at_bigpond.net.au

ORIGINAL AUTHORS
Hugo Rabson (original author) hugo.rabson_at_mondorescue.org
Jesse Keating (packaging) hosting_at_j2solutions.net
Stan Benoit (testing) troff_at_nakedsoul.org
Mikael Hultgren (docs) mikael_hultgren_at_gmx.net
See mailing list at http://www.mondorescue.org for technical support.